TransformerHandlerImpl
Keywords: com.icl.saxon.TransformerHandlerImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Class TransformerHandlerImpl

    java.lang.Object
      com.icl.saxon.ContentEmitter
          com.icl.saxon.TransformerHandlerImpl

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.ext.LexicalHandler, TransformerHandler

public class TransformerHandlerImpl
extends ContentEmitter
implements TransformerHandler

TransformerHandlerImpl implements the javax.xml.transform.sax.TransformerHandler interface. It acts as a ContentHandler and LexicalHandler which receives a stream of SAX events representing an input document, and performs a transformation treating this SAX stream as the source document of the transformation.

Constructor Summary
`protected` | `TransformerHandlerImpl(Controller controller)` Create a TransformerHandlerImpl and initialise variables.

Method Summary
`void` | `endDocument()` Override the behaviour of endDocument() in ContentEmitter, so that it fires off the transformation of the constructed document
`Result` | `getResult()` Get the output destination of the transformation
`java.lang.String` | `getSystemId()` Get the systemId of the document
`Transformer` | `getTransformer()` Get the Transformer used for this transformation
`void` | `setResult(Result result)` Set the output destination of the transformation
`void` | `setSystemId(java.lang.String url)` Set the SystemId of the document

Methods inherited from class com.icl.saxon.ContentEmitter
`characters, comment, endCDATA, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, setEmitter, setNamePool, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.xml.sax.DTDHandler
`notationDecl, unparsedEntityDecl`

Constructor Detail

### TransformerHandlerImpl

    protected TransformerHandlerImpl(Controller controller)

  Create a TransformerHandlerImpl and initialise variables. The constructor is protected, because the Filter should be created using newTransformerHandler() in the SAXTransformerFactory class

Method Detail

### getTransformer

    public Transformer getTransformer()

  Get the Transformer used for this transformation

  Specified by:
    `getTransformer` in interface `TransformerHandler`
  Returns:
    `Transformer` associated with this `TransformerHandler`.

### setSystemId

    public void setSystemId(java.lang.String url)

  Set the SystemId of the document

  Specified by:
    `setSystemId` in interface `TransformerHandler`
  Parameters:
    `url` - Base URI for the source tree.

### getSystemId

    public java.lang.String getSystemId()

  Get the systemId of the document

  Specified by:
    `getSystemId` in interface `TransformerHandler`
  Returns:
    The systemID that was set with `TransformerHandler.setSystemId(java.lang.String)`.

### setResult

    public void setResult(Result result)

  Set the output destination of the transformation

  Specified by:
    `setResult` in interface `TransformerHandler`
  Parameters:
    `result` - A `Result` instance, should not be `null`.``

### getResult

    public Result getResult()

  Get the output destination of the transformation

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Override the behaviour of endDocument() in ContentEmitter, so that it fires off the transformation of the constructed document

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endDocument` in class `ContentEmitter`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD